@echo off
title .                画质补丁           
color f0
mode con cols=51  lines=30
echo===================================================
echo.
echo                 SweetFX+Enb HD
echo.
echo===================================================
SET "lujing=F:\game\NBA 2K18"
ECHO.
ECHO.
:meme
echo      选项：1 安装
echo            2 还原
echo.
set /p Choice= 请输入(1或2)再按回车键确认:
echo.
if "%Choice%"=="1" goto anzhuang
if "%Choice%"=="2" goto haiyuan else echo  输入错误!!!!请入1或2
echo.
goto meme
pause


:anzhuang
echo.  
copy /y "%cd%\commandline.txt" "%lujing%"
copy /y "%cd%\d3d11.dll" "%lujing%"
copy /y "%cd%\d3dcompiler_46.dll" "%lujing%"
copy /y "%cd%\dxgi.dll" "%lujing%"
copy /y "%cd%\enblightsprite.fx.ini" "%lujing%"
copy /y "%cd%\enblocal.ini" "%lujing%"
copy /y "%cd%\enbseries.ini" "%lujing%"
copy /y "%cd%\ReShade.fx" "%lujing%"
copy /y "%cd%\Sweet.fx" "%lujing%"
copy /y "%cd%\enblightsprite.fx" "%lujing%"
copy /y "%cd%\ReShade32.dll" "%lujing%"
xcopy "%cd%\enbseries" "%lujing%\enbseries" /e /i /y
xcopy "%cd%\SweetFX" "%lujing%\SweetFX" /e /i /y
echo.
echo         拷贝完毕! 按任意键关闭本窗口
pause >nul
GOTO eof
:haiyuan
echo.
echo   正在还原，请稍等......
del /f /s /q "%lujing%\commandline.txt" "%lujing%\d3d11.dll" "%lujing%\d3dcompiler_46.dll" "%lujing%\dxgi.dll" "%lujing%\enblightsprite.fx.ini" "%lujing%\enblocal.ini" "%lujing%\enbseries.ini" "%lujing%\ReShade.fx" "%lujing%\Sweet.fx" "%lujing%\enblightsprite.fx" "%lujing%\ReShade32.dll"
rd /s /q "%lujing%\enbseries"
rd /s /q "%lujing%\SweetFX"
ECHO.
echo         还原完毕! 按任意键关闭本窗口
pause >NUL

:eof
@echo on